"use strict";
/*!
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CONTINUATION_HEADER = exports.SESSION_TOKEN_HEADER = exports.RU_HEADER = exports.DEFAULT_PAGE_SIZE = exports.DEFAULT_DATABASE_THROUGHPUT = exports.LOCK_RATIO = exports.REFRESH_INTERVAL = exports.NO_RETRY = exports.DEFAULT_RETRY_OPTIONS = exports.INTERNAL_RETRY_OPTIONS = exports.LISTEN_RETRY_TIMEOUTS = exports.FUZZ_MS = void 0;
const retry = __importStar(require("retry"));
exports.FUZZ_MS = 500;
// 5 tries spanning about 1 minute
exports.LISTEN_RETRY_TIMEOUTS = Object.freeze(retry.timeouts({
    minTimeout: 500,
    maxTimeout: Infinity,
    factor: 4.5,
    retries: 4,
    randomize: false
}));
exports.INTERNAL_RETRY_OPTIONS = {
    minTimeout: 100,
    maxTimeout: Infinity,
    factor: 3,
    retries: 4,
    randomize: false
};
exports.DEFAULT_RETRY_OPTIONS = {
    minTimeout: 1000,
    maxTimeout: Infinity,
    factor: 3.5,
    retries: 4,
    randomize: false
};
/**
 * Configuration to disable retries in {@link ListenOptions.retries}.
 *
 * @public
 */
exports.NO_RETRY = {
    minTimeout: 0,
    maxTimeout: 0,
    factor: 0,
    retries: 0,
    randomize: false
};
exports.REFRESH_INTERVAL = 5000;
exports.LOCK_RATIO = 2 / 3;
exports.DEFAULT_DATABASE_THROUGHPUT = 1000;
exports.DEFAULT_PAGE_SIZE = 25;
exports.RU_HEADER = 'x-ms-request-charge';
exports.SESSION_TOKEN_HEADER = 'x-ms-session-token';
exports.CONTINUATION_HEADER = 'x-ms-continuation';
//# sourceMappingURL=constants.js.map